qemu-devel.nongnu.org archive mirror
 help / color / mirror / Atom feed
From: "Alex Bennée" <alex.bennee@linaro.org>
To: qemu-devel@nongnu.org
Cc: "Fam Zheng" <fam@euphon.net>,
	"Philippe Mathieu-Daudé" <philmd@redhat.com>,
	"Alex Bennée" <alex.bennee@linaro.org>
Subject: [Qemu-devel] [PATCH v2 19/23] tests/docker: invoke the DEBUG shell with --noprofile/--norc
Date: Wed, 17 Jul 2019 14:43:31 +0100	[thread overview]
Message-ID: <20190717134335.15351-20-alex.bennee@linaro.org> (raw)
In-Reply-To: <20190717134335.15351-1-alex.bennee@linaro.org>

It's very confusing when things work in the debug shell because the
environment is different from what the test is running. Fix this by
ensuring we only have the inherited environment from the run shell.

Signed-off-by: Alex Bennée <alex.bennee@linaro.org>
---
 tests/docker/run | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests/docker/run b/tests/docker/run
index 7aebf4b5698..1014871fec0 100755
--- a/tests/docker/run
+++ b/tests/docker/run
@@ -62,7 +62,7 @@ echo "* Prepared to run command:"
 echo "  $CMD"
 echo "* Hit Ctrl-D to continue, or type 'exit 1' to abort"
 echo
-$SHELL
+$SHELL --noprofile --norc
 
 if "$CMD"; then
     exit 0
@@ -72,7 +72,7 @@ elif test -n "$DEBUG"; then
     echo "* Hit Ctrl-D to exit"
     echo
     # Force error after shell exits
-    $SHELL && exit 1
+    $SHELL --noprofile --norc && exit 1
 else
     exit 1
 fi
-- 
2.20.1



  parent reply	other threads:[~2019-07-17 13:52 UTC|newest]

Thread overview: 39+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-07-17 13:43 [Qemu-devel] [PATCH v2 00/23] testing/next for 4.1-rc2 (win, travis, iotests) Alex Bennée
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 01/23] archive-source: also create a stash for submodules Alex Bennée
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 02/23] tests/docker: add test-misc for building tools & docs Alex Bennée
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 03/23] tests/docker: Install Sphinx in the Ubuntu images Alex Bennée
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 04/23] tests/docker: Install Sphinx in the Fedora image Alex Bennée
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 05/23] tests/docker: Install Ubuntu images noninteractively Alex Bennée
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 06/23] tests/migration-test: don't spam the logs when we fail Alex Bennée
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 07/23] tests/dockerfiles: update the win cross builds to stretch Alex Bennée
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 08/23] shippable: re-enable the windows cross builds Alex Bennée
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 09/23] tests/docker: Install Sphinx in the Debian images Alex Bennée
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 10/23] tests/docker: Install the NSIS tools in the MinGW capable images Alex Bennée
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 11/23] tests/docker: Set the correct cross-PKG_CONFIG_PATH in the MXE images Alex Bennée
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 12/23] tests/docker: Install texinfo in the Fedora image Alex Bennée
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 13/23] buildsys: The NSIS Windows build requires the documentation installed Alex Bennée
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 14/23] buildsys: The NSIS Windows build requires qemu-nsis.bmp installed Alex Bennée
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 15/23] tests/docker: Let the test-mingw test generate a NSIS installer Alex Bennée
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 16/23] NSIS: Add missing firmware blobs Alex Bennée
2019-07-17 14:47   ` Philippe Mathieu-Daudé
2019-07-17 18:23   ` Stefan Weil
2019-07-22 20:06     ` Philippe Mathieu-Daudé
2019-07-23  5:33       ` Stefan Weil
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 17/23] hw/i386: also turn off VMMOUSE is VMPORT is disabled Alex Bennée
2019-07-17 16:02   ` Thomas Huth
2019-07-22 20:02   ` Philippe Mathieu-Daudé
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 18/23] travis: enable travis_retry for check phase Alex Bennée
2019-07-22 20:01   ` Philippe Mathieu-Daudé
2019-07-17 13:43 ` Alex Bennée [this message]
2019-07-23  7:03   ` [Qemu-devel] [PATCH v2 19/23] tests/docker: invoke the DEBUG shell with --noprofile/--norc Philippe Mathieu-Daudé
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 20/23] tests/qemu-iotests/check: Allow tests without groups Alex Bennée
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 21/23] tests/qemu-iotests/group: Remove some more tests from the "auto" group Alex Bennée
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 22/23] tests: Run the iotests during "make check" again Alex Bennée
2019-07-22 19:53   ` Philippe Mathieu-Daudé
2019-07-23  7:20     ` [Qemu-devel] make vm-build-openbsd (was: Re: [PATCH v2 22/23] tests: Run the iotests during "make check" again) Thomas Huth
2019-07-23  8:58       ` Thomas Huth
2019-08-02 14:28       ` Gerd Hoffmann
2019-08-02 14:44         ` Thomas Huth
2019-07-23  9:30     ` [Qemu-devel] [PATCH v2 22/23] tests: Run the iotests during "make check" again Thomas Huth
2019-07-17 13:43 ` [Qemu-devel] [PATCH v2 23/23] gitlab-ci: Remove qcow2 tests that are handled by "make check" already Alex Bennée
2019-07-22 18:29 ` [Qemu-devel] [PATCH v2 00/23] testing/next for 4.1-rc2 (win, travis, iotests) Alex Bennée

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20190717134335.15351-20-alex.bennee@linaro.org \
    --to=alex.bennee@linaro.org \
    --cc=fam@euphon.net \
    --cc=philmd@redhat.com \
    --cc=qemu-devel@nongnu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).